=== debian/changelog ===
kf6-kconfigwidgets (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:53 +0100

kf6-kconfigwidgets (6.20.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Replace the dbus build dependency with dbus-daemon, as the latter is enough
    for dbus-run-session. (Closes: #1122614)
  * Drop patch disable_kconfigdialog_unittests.patch, which should be no more
    needed now.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Dec 2025 08:03:58 +0100

kf6-kconfigwidgets (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:19 +0100
